Bug 65949 - Upgraded Port: dns/firedns
Summary: Upgraded Port: dns/firedns
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-04-25 04:40 UTC by Dean Hollister
Modified: 2004-05-02 19:06 UTC (History)
0 users

See Also:


Attachments
file.diff (4.04 KB, patch)
2004-04-25 04:40 UTC, Dean Hollister
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dean Hollister 2004-04-25 04:40:18 UTC
Upgraded Port: dns/firedns

How-To-Repeat: Patch to new version follows.
Comment 1 Pete Fritchman freebsd_committer 2004-05-02 03:21:50 UTC
State Changed
From-To: open->feedback

This compiles OK on -current, but croaks on -stable: 

> ccache cc -O -pipe  -fPIC -DVERSION=""0.9.12"" -DCONFDIR=""/usr/local/etc"" -DBINDIR=""/usr/local/bin"" -DSBINDIR=""/usr/local/sbin"" -DLIBDIR=""/usr/lib"" -DMANDIR=""/usr/local/man"" -c -o firestring.o firestring.c 
> firestring.c: In function `firestring_fprintf': 
> firestring.c:375: invalid lvalue in unary `&' 
> firestring.c: In function `firestring_printf': 
> firestring.c:395: invalid lvalue in unary `&' 
> [...] 

Perhaps we need to modify the syntax, or depend on gcc3?
Comment 2 Dean Hollister 2004-05-02 05:08:06 UTC
At 21:23 01/05/2004 -0500, Pete Fritchman wrote:

>This compiles OK on -current, but croaks on -stable:
>
> > ccache cc -O -pipe  -fPIC -DVERSION="\"0.9.12\"" 
> -DCONFDIR="\"/usr/local/etc\"" -DBINDIR="\"/usr/local/bin\"" 
> -DSBINDIR="\"/usr/local/sbin\"" -DLIBDIR="\"/usr/lib\"" 
> -DMANDIR="\"/usr/local/man\"" -c -o firestring.o firestring.c
> > firestring.c: In function `firestring_fprintf':
> > firestring.c:375: invalid lvalue in unary `&'
> > firestring.c: In function `firestring_printf':
> > firestring.c:395: invalid lvalue in unary `&'
> > [...]
>
>Perhaps we need to modify the syntax, or depend on gcc3?

Yes, you're right ... it requires at least gcc32, as firestring is compiled 
with gcc3 upwards.

Revised patch is below.

Regards,

d.



diff -ruN firedns.orig/Makefile firedns/Makefile
--- firedns.orig/Makefile       Sun Feb  1 10:05:47 2004
+++ firedns/Makefile    Sun May  2 11:46:47 2004
@@ -6,9 +6,9 @@
  #

  PORTNAME=      firedns
-PORTVERSION=   0.9.7
+PORTVERSION=   0.9.12
  CATEGORIES=    dns devel
-MASTER_SITES=  http://firestuff.org/projects/ \
+MASTER_SITES=  http://www.firestuff.org/projects/ \
                 http://www.wa.apana.org.au/~dean/sources/ \
                 ftp://ftp.wa.apana.org.au/pub/pc/unix/packages/

@@ -17,25 +17,39 @@

  BUILD_DEPENDS= ${LOCALBASE}/include/firestring.h:${PORTSDIR}/misc/firestring

+USE_BZIP2=     yes
  HAS_CONFIGURE= yes
-CONFIGURE_ENV= PREFIX="${PREFIX}"
  INSTALLS_SHLIB=        yes

+.include <bsd.port.pre.mk>
+
+.if ${OSVERSION} < 500000
+USE_GCC=       3.2
+.else
+USE_GCC=       yes
+.endif
+
  WRKSRC=                ${WRKDIR}/${PORTNAME}

-MAN3=          firedns_aton4.3 firedns_aton6.3 \
-               firedns_dnsbl_lookup.3 firedns_getip4.3 \
-               firedns_getip6.3 firedns_getmx.3 \
-               firedns_getmxlist.3 firedns_getname4.3 \
-               firedns_getname6.3 firedns_getresult.3 \
-               firedns_gettxt.3 firedns_ntoa4.3 \
-               firedns_ntoa6.3 firedns_resolveip4.3 \
-               firedns_resolveip6.3 firedns_resolvemx.3 \
-               firedns_resolvemxlist.3 firedns_resolvename4.3 \
-               firedns_resolvename6.3 firedns_resolvetxt.3 \
+MAN1=          fdnscname.1 fdnsip.1 fdnsip6.1 fdnsip6list.1 fdnsiplist.1 
fdnsmx.1 \
+               fdnsmxalist.1 fdnsmxlist.1 fdnsname.1 fdnsnamep.1 fdnsspf1.1 \
+               fdnstxt.1 fdnstxtlist.1
+
+MAN3=          firedns_aton4.3 firedns_aton6.3 firedns_dnsbl_lookup.3 \
+               firedns_free_mxalist.3 firedns_getcname.3 firedns_getip4.3 \
+               firedns_getip4list.3 firedns_getip6.3 firedns_getip6list.3 \
+               firedns_getmx.3 firedns_getmxlist.3 firedns_getname4.3 \
+               firedns_getname6.3 firedns_getresult.3 firedns_gettxt.3 \
+               firedns_gettxtlist.3 firedns_ntoa4.3 firedns_ntoa6.3 \
+               firedns_resolvecname.3 firedns_resolveip4.3 \
+               firedns_resolveip4list.3 firedns_resolveip6.3 \
+               firedns_resolveip6list.3 firedns_resolvemx.3 \
+               firedns_resolvemxalist.3  firedns_resolvemxlist.3 \
+               firedns_resolvename4.3 firedns_resolvename6.3 \
+               firedns_resolvetxt.3 firedns_resolvetxtlist.3 \
                 libfiredns.3

  pre-configure:
         @-${RM} ${WRKSRC}/firemake/*.orig

-.include <bsd.port.mk>
+.include <bsd.port.post.mk>
diff -ruN firedns.orig/distinfo firedns/distinfo
--- firedns.orig/distinfo       Sun Feb  1 10:05:47 2004
+++ firedns/distinfo    Sun Apr 25 11:12:09 2004
@@ -1,2 +1,2 @@
-MD5 (firedns-0.9.7.tar.gz) = dd6fbf0e3a5fbdf5761c7139987d7657
-SIZE (firedns-0.9.7.tar.gz) = 91920
+MD5 (firedns-0.9.12.tar.bz2) = f264cb8ac319d6555986c993dfeca5cf
+SIZE (firedns-0.9.12.tar.bz2) = 96535
diff -ruN firedns.orig/pkg-descr firedns/pkg-descr
--- firedns.orig/pkg-descr      Sun Feb  1 10:05:48 2004
+++ firedns/pkg-descr   Sun Apr 25 11:29:03 2004
@@ -1,13 +1,12 @@
-libfiredns is a library for handling asynchronous DNS
-requests.  It provides a very simple interface for sending
-requests and parsing reponses, as well as low-timeout
-blocking functions.  It can also be compiled to override
-the BIND/LIBC functions with its alternative implementations.
-libfiredns functions have much lower timeouts than the stock
-functions and tend to be faster because they send requests
-to all configured system nameservers at the same time.
+libfiredns is a library for handling asynchronous DNS
+requests.  It provides a very simple interface for sending
+requests and parsing reponses, as well as low-timeout
+blocking functions.  libfiredns functions have much lower
+timeouts than the stock functions and tend to be faster
+because they send requests to all configured system
+nameservers at the same time.

-WWW:   http://ares.penguinhosting.net/~ian/
+WWW: http://www.firestuff.org/

  - Dean
  dean@odyssey.apana.org.au
diff -ruN firedns.orig/pkg-plist firedns/pkg-plist
--- firedns.orig/pkg-plist      Sun Feb  1 10:05:48 2004
+++ firedns/pkg-plist   Sun May  2 11:48:20 2004
@@ -1,11 +1,19 @@
  @comment $FreeBSD: ports/dns/firedns/pkg-plist,v 1.4 2004/01/31 23:18:11 
sergei Exp $
+bin/fdnscname
  bin/fdnsip
+bin/fdnsip6
+bin/fdnsip6list
+bin/fdnsiplist
  bin/fdnsmx
+bin/fdnsmxalist
  bin/fdnsmxlist
  bin/fdnsname
+bin/fdnsnamep
+bin/fdnsspf1
  bin/fdnstxt
+bin/fdnstxtlist
  include/firedns.h
  lib/libfiredns.a
  lib/libfiredns.so
  lib/libfiredns.so.0
-lib/libfiredns.so.0.9.7
+lib/libfiredns.so.0.9.12
Comment 3 Pete Fritchman freebsd_committer 2004-05-02 19:06:17 UTC
State Changed
From-To: feedback->closed

Committed, thanks.  I kept pkg-plist sorted, too.